Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Expand
titleOS Software Requirements


Tip

FileCloud Server now supports FIPS licenses in version 18.2 and later.

Enterprises who are subject to the FIPS regulations must install and run a FIPS-enabled operating system. For example, CentOS in FIPS mode.

When using a FIPS-enabled license, FileCloud Admins will see in the Admin Portal:

  • Running in FIPS mode is prominently displayed
  • SSO features are hidden
  • Storage encryption option is always shown


To run FileCloud, use one of the following supported operating systems: 

  • Windows Server 2008 R2 64 bit, Windows 2012 64 bit (& R2),  Windows Server 2016
  • Ubuntu 16.04 LTS (from FileCloud release v15 onwards)
  • CentOS 7.0 onwards
  • RHEL 7.0 onwards

For additional options to install on AWS/Azure, see the Installation page.

Note

Additionally, FileCloud can be run inside a Virtual Machine that can be hosted in almost any operating system including Mac OSX.

You do NOT need to install the software listed in this section.

This software is only listed to inform you of what is installed by the FileCloud installation wizard.
The components are identified as either Required or Optional so you can plan on which optional components you will want to install.
All components can be managed after running the installation wizard using the FileCloud control panel.

Server Software

The following required software is automatically installed by FileCloud's Windows and Linux installers.

SoftwareRequired or OptionalMinimum VersionRecommended VersionFunctionality
ApacheRequired

2.2 and above

2.4.16 and aboveCross-platform Web Server
PHPRequired

7.2

Anything below or above 7.1 is not supported

7.2 in Linux and aboveServer-side scripting language designed for Web development
MongoRequired

3.4.x

3.4Document database that is scalable and provides querying and indexing
PHP-MongoDB driverRequired1.2.3 and above1.2.3 and aboveProvides a minimal API for core driver functionality
MemcachedOptional

Version included in the installer

Version included in the installerMemory object caching system that provides pre-caching of NTFS permissions and encryption
PHP ionCube Loader ExtensionOptional

Version included in the installer

Version included in the installerEncodes and secures PHP files
SolrOptionalVersion included in the installerVersion included in the installer

Enables content search with the following features:

  • Content search for file types such as txt, pdf, doc, docx, xls, xlsx, ppt, pptx
  • Regex support for file/folder name searches

Supported Browsers for UI 1.0

  • Internet Explorer 9 and above
  • Google Chrome 25.0 and above
  • Mozilla FireFox Firefox 24 and above
  • Safari 11 and above

Supported Browsers for UI 2.0

  • Microsoft Edge 15 and above
  • Google Chrome 55.0 and above
  • Mozilla Firefox 52 and above
  • Safari 11 and above


Note

For FileCloud Sync and FileCloud Drive applications, Windows 10 is required to run properly.


...